Bug 1302737 - [abrt] mintmenu: mintMenuConfig.py:393:getHeadingColor:TypeError: Gtk.ColorButton.get_color() takes exactly 1 argument (2 given)
[abrt] mintmenu: mintMenuConfig.py:393:getHeadingColor:TypeError: Gtk.ColorBu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mintmenu (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c1f25b4f0403a26f8f9cbb83111...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 08:53 EST by Mike Simms
Modified: 2016-02-16 23:18 EST (History)
1 user (show)

See Also:
Fixed In Version: mintmenu-5.6.5-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 23:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (792 bytes, text/plain)
2016-01-28 08:53 EST, Mike Simms
no flags Details
File: environ (994 bytes, text/plain)
2016-01-28 08:53 EST, Mike Simms
no flags Details

  None (edit)
Description Mike Simms 2016-01-28 08:53:34 EST
Description of problem:
trying to change custom colours in preferences

Version-Release number of selected component:
mintmenu-5.6.5-2.fc22

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/share/linuxmint/mintMenu/mintMenuConfig.py
executable:     /usr/share/linuxmint/mintMenu/mintMenuConfig.py
kernel:         4.1.7-200.fc22.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
mintMenuConfig.py:393:getHeadingColor:TypeError: Gtk.ColorButton.get_color() takes exactly 1 argument (2 given)

Traceback (most recent call last):
  File "/usr/share/linuxmint/mintMenu/mintMenuConfig.py", line 352, in <lambda>
    widget.connect( changeEvent, lambda *args: self.callGetter( settings, setting_type, key, getter ) )
  File "/usr/share/linuxmint/mintMenu/mintMenuConfig.py", line 368, in callGetter
    settings.set( setting_type, key, getter())
  File "/usr/share/linuxmint/mintMenu/mintMenuConfig.py", line 393, in getHeadingColor
    self.headingColor.get_color(color)
TypeError: Gtk.ColorButton.get_color() takes exactly 1 argument (2 given)

Local variables in innermost frame:
color: Gdk.Color(red=0, green=0, blue=0)
self: <__main__.mintMenuConfig object at 0xb563840c>
Comment 1 Mike Simms 2016-01-28 08:53:39 EST
Created attachment 1119144 [details]
File: backtrace
Comment 2 Mike Simms 2016-01-28 08:53:40 EST
Created attachment 1119145 [details]
File: environ
Comment 3 Fedora Update System 2016-02-07 16:26:23 EST
mintmenu-5.6.5-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc4c4ecb1f
Comment 4 Wolfgang Ulbrich 2016-02-07 16:29:49 EST
Hi Mike,
this update should fix the issue.
Comment 5 Fedora Update System 2016-02-07 23:19:46 EST
mintmenu-5.6.5-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc4c4ecb1f
Comment 6 Mike Simms 2016-02-10 08:12:13 EST
Thanks Wolfgang it appears it is fixed
Comment 7 Fedora Update System 2016-02-16 23:18:38 EST
mintmenu-5.6.5-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.